from django.contrib import admin

# Register your models here.
from .models import User, Article, Comment, Label


class UserAdmin(admin.ModelAdmin):
    """
    重写管理界面展示内容，系统默认展示用户模型的__str__()方法返回的数据
    """
    list_display = ["username", "email", "password", "createTime", "lastActive", "aboutMe", "isDeleted"]
    search_fields = ["username", "email"]
    actions_on_top = False
    actions_on_bottom = True


class ArticleAdmin(admin.ModelAdmin):
    """
    重写管理界面展示内容，系统默认展示用户模型的__str__()方法返回的数据
    """
    list_display = ["title", "label", "author", "createTime", "modifyTime", "isDeleted", "isPrimary"]
    search_fields = ["title", "author"]
    actions_on_top = False
    actions_on_bottom = True


class CommentAdmin(admin.ModelAdmin):
    """
    重写管理界面展示内容，系统默认展示用户模型的__str__()方法返回的数据
    """
    list_display = ["commentator", "article", "createTime", "isDeleted", "isPrimary"]
    search_fields = ["title", "author"]
    actions_on_top = False
    actions_on_bottom = True


# 注册用户数据库模型
admin.site.register(User, UserAdmin)
admin.site.register(Article, ArticleAdmin)
admin.site.register(Comment, CommentAdmin)
admin.site.register(Label)
