from rest_framework import serializers
from . import models


class ArticleListSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('id', 'title', 'label', 'content',
                  'createTime', 'author', 'isDeleted')
        model = models.Article


class ArticleSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('id', 'title', 'label', 'content', 'isDeleted',
                  'createTime', 'modifyTime', 'author', 'isPrimary')
        model = models.Article


class UserSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('id', 'username', 'aboutMe', 'lastActive',
                  'createTime')
        model = models.User


class LabelSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('id', 'label')
        model = models.Label


class TokenSerializer(serializers.ModelSerializer):
    class Meta:
        fields = ('token', )
        model = models.Token

