from django.urls import path
from django.conf.urls import url, include

from . import views
from rest_framework.routers import DefaultRouter


app_name = "app"

article_list = views.ArticleViewSet.as_view(actions={'get': 'list', 'post': 'create'})
article_detail = views.ArticleViewSet.as_view(actions={
    'get': 'retrieve',
    'put': 'update',
    'patch': 'partial_update',
    'delete': 'destroy'
})
# urlpatterns = [
#     path('', article_list, name='article-list'),
#     path('<int:pk>/', article_detail, name='article-detail'),
#     path('register', views.register, name='register'),
# ]

router = DefaultRouter()
# router.register('article', views.ArticleViewSet)
router.register('tags', views.LabelViewSet)

urlpatterns = [
    url(r'^article/$', article_list),
    url(r'^article/(?P<pk>\d+)/$', article_detail),
    url(r'^', include(router.urls)),
    url('image\/(?P<image>\S+)?\/?$', views.ImageAPI.as_view()),
    path("public_key", views.KeyAPI.as_view()),
    path("user", views.UserAPI.as_view())
]
