import Vue from 'vue'
import Vuex from 'vuex'
import actions from './actions.js'
import getters from './getters.js'
import mutations from './mutations.js'

Vue.use(Vuex)

const store = new Vuex.Store({
    state: {
        user: {},
        headline: {},
        isLoading: false, // 正在获取数据呢 请操作刷新慢一点
        moreArticle: true, //  还有更多的数据还在数据库呢
        loadMore: false, // 正在加载更多的文章
        isSaving: false, // 还没有保存呢
        noMore: false, // 没有更多了
        nextPage: null,
        previousPage: null,
        maxItems: 10,
        dialog: {
            show: false,
            hasTwoBtn: false,
            info: 'hey',
            resolveFn: () => {},
            rejectFn: () => {}
        },
        tags: [],
        curTag: {},
        article: {},
        articles: [],
        draft: {},
        drafts: {},
        comments: [],
        publicKey: '',
        token: '',
        csrftoken: ''
    },
    getters,
    actions,
    mutations
})
export default store
