function getCookie (name) {
    let cookieValue = null
    if (document.cookie && document.cookie !== '') {
        const cookies = document.cookie.split(';')
        for (let i = 0; i < cookies.length; i++) {
            const cookie = cookies[i].trim()
            // Does this cookie string begin with the name we want?
            if (cookie.substring(0, name.length + 1) === (name + '=')) {
                cookieValue = decodeURIComponent(cookie.substring(name.length + 1))
                break
            }
        }
    }
    return cookieValue
}

export default {
    // login
    set_user: (state, user) => {
        localStorage.setItem('token', user.token)
        localStorage.setItem('userName', user.user.username)
        state.user = user.user
        state.token = user.token
    },
    unset_user: (state) => {
        localStorage.removeItem('token')
        localStorage.removeItem('userName')
        state.user = {}
    },
    // 设置页面标题
    set_headline: (state, headline) => {
        state.headline = headline
    },
    // 设置是否已经保存数据
    isSaving_toggle: (state, isSaving) => {
        state.isSaving = isSaving
    },
    // 设置当前是否可以请求下一次增量数据了
    isLoading_toggle: (state, isLoading) => {
        state.isLoading = isLoading
    },
    // 设置是否正在请求更多的数据库数据
    loadMore_toggle: (state, loadMore) => {
        state.loadMore = loadMore
    },
    // 数据库中是否还有更多数据
    moreArticle_toggle: (state, flag) => {
        state.moreArticle = flag
    },
    // 设置没有更多的数据了
    noMore_toggle: (state, flag) => {
        state.noMore = flag
    },
    // tags
    set_tags: (state, tags) => {
        state.tags = tags
    },
    set_curtag: (state, tag) => {
        state.curTag = tag
    },
    // article
    update_post_title: (state, title) => {
        state.article.title = title
    },
    update_post_content: (state, content) => {
        state.article.content = content
    },
    set_article: (state, article) => {
        state.article = article
    },
    // 保存数据到vuex当中
    set_all_articles: (state, articles) => {
        state.articles = articles
    },
    // 添加更多的到vuex中
    add_articles: (state, articles) => {
        state.articles = state.articles.concat(articles)
    },
    // comment
    set_comments: (state, comments) => {
        state.comments = comments
    },
    // 对话框
    set_dialog: (state, payload) => {
        state.dialog = payload
        state.dialog.resolveFn = () => {}
        state.dialog.rejectFn = () => {}
    },
    getCookie: (state) => {
        state.csrftoken = getCookie('csrftoken')
    }
}
